/* Gameboy modules */
#include <gbextended/palette.h>
#include <gbextended/sound.h>
#include <gbextended/tile.h>
#include <gbextended/types.h>

/*--------------------*/

typedef UINT16 const RscData__IntegerLiteral;
typedef UINT16 * const RscData__IntegerPointer;
typedef char const RscData__StringLiteral[];
typedef char * const RscData__StringPointer;
typedef char ** const RscData__StringListPointer;

/*--------------------*/
/* -- integer literals -- */
static RscData__IntegerLiteral RscData__Pref_colourBrown
  = Palette_Colour_brown;
static RscData__IntegerLiteral RscData__Pref_colourBlack
   = Palette_Colour_black;
static RscData__IntegerLiteral RscData__Pref_colourGrey = 15855;
static RscData__IntegerLiteral RscData__Pref_colourRed
   = Palette_Colour_red;
static RscData__IntegerLiteral RscData__Pref_colourYellow
   = Palette_Colour_yellow;
static RscData__IntegerLiteral RscData__Pref_colourGreen
   = Palette_Colour_green;
static RscData__IntegerLiteral RscData__Pref_colourBlue
   = Palette_Colour_blue;
static RscData__IntegerLiteral RscData__Pref_colourMagenta
   = Palette_Colour_magenta;
static RscData__IntegerLiteral RscData__Pref_colourCyan
   = Palette_Colour_cyan;
static RscData__IntegerLiteral RscData__Pref_colourGold = 755;

/* -- integer lists -- */

static const RscData__IntegerPointer RscData__Pref_colourList[] = {
  &RscData__Pref_colourBrown,  &RscData__Pref_colourBlack,
  &RscData__Pref_colourGrey,   &RscData__Pref_colourRed,
  &RscData__Pref_colourYellow, &RscData__Pref_colourGreen,
  &RscData__Pref_colourBlue,   &RscData__Pref_colourMagenta,
  &RscData__Pref_colourCyan,   &RscData__Pref_colourGold,
  NULL
};


#ifdef ENGLISH
/* -- string literals -- */
static RscData__StringLiteral RscData__Game_M_completed
  = "\n\n\n\n\n  Well done!!";
static RscData__StringLiteral RscData__Game_M_enteredLevel
  = "\n\n\n\n\n  Level %1";
static RscData__StringLiteral RscData__Game_M_failed
  = "\n\n\n\n   Got caught!!\n\n  Press START...";
static RscData__StringLiteral RscData__Game_M_help
  = /* 123456789012345678 */
      "  -- BUTTONS --\n\n"
      "left,\n"
      "right,\n"
      "up,\n"
      "down:   move\n\n"
      "A:      shoot left"
      "B:      shoot rght" 
      "SELECT: this menu "
      "START:  extra menu";
static RscData__StringLiteral RscData__Game_M_highscore
  = "\n-- HIGH SCORE --\n\n";
static RscData__StringLiteral RscData__Game_M_info
  = /* 123456789012345678 */
      "-- AIM OF GAME --\n\n"
      "Collect all gold  "
      "and don't touch   "
      "the monsters! They" 
      "may also get gold,"
      "but will release  " 
      "it. Use A and B   " 
      "for making tempo- "
      "rary holes.\n"
      "CAUTION: Do not   "
      "wall yourself in!";
static RscData__StringLiteral RscData__Game_M_title
  = /* 123456789012345678 */
      "\n  -------------- \n"
      "  | LODE RUNNER |\n"
      "  -------------- \n\n"
      "       for\n" 
      " Bernhard, Elina,\n" 
      " Jannis, Laura,\n" 
      " Nelia & Ulrike\n\n"
      " by Thomas Tensi\n"
      "   2004-2006";
static RscData__StringLiteral RscData__Game_M_titleEnd
  = "\n\n\n  Press START\n";
static RscData__StringLiteral RscData__Pref_M_greeting
  = " Hello %1!\n\n\n You are on\n level %2.\n\n Do you want to\n";
static RscData__StringLiteral RscData__Pref_M_nameQuery
  = "Who are you?\n";
static RscData__StringLiteral RscData__Pref_M_resetQuery
  = " %1,\n do you really\n want to start\n again at level 1?\n";
static RscData__StringLiteral RscData__Pref_M_setupTitle
  = " -- Settings --\n";

/* -- string lists -- */
#define RscData__continueString "continue?"
#define RscData__mainMenuString "select player?"
#define RscData__setupString    "chng. settings?"

static const RscData__StringPointer RscData__Game_stringList[] = {
  "select level:", "view level?\n", "restart level?\n",
  RscData__setupString "\n", "show highscore?\n",
  RscData__mainMenuString "\n", "back", NULL
};

static const RscData__StringPointer RscData__Pref_booleanNameList[] = {
  "off", "on", NULL
};

static const RscData__StringPointer RscData__Pref_choiceList1[] = {
  RscData__continueString, "start new game?", RscData__setupString,
  RscData__mainMenuString, NULL
};

static const RscData__StringPointer RscData__Pref_choiceList2[] = {
  RscData__continueString, RscData__setupString, RscData__mainMenuString,
  NULL
};

static const RscData__StringPointer RscData__Pref_colourNameList[] = {
  "brown", "black", "grey", "red", "yellow", "green", "blue", "lilac",
  "cyan", "golden", NULL
};

static const RscData__StringPointer RscData__Pref_yesNoList[] = {
  "no", "yes", NULL
};

static const RscData__StringPointer RscData__Pref_setupItemList[] = {
  "Name: ", "Kind:    ", "Hair:    ", "Shirt:   ", "Pts.Skt.:", "Shoes:   ", 
  "Monster: ", "Music:   ", "Sound:   ", "back", NULL
};

static const RscData__StringPointer RscData__Pref_playerKindNameList[] = {
  "boy", "girl", NULL
};
#else /* NOT ENGLISH */
/* -- string literals -- */
static RscData__StringLiteral RscData__Game_M_completed
  = "\n\n\n\n\n    Super!!";
static RscData__StringLiteral RscData__Game_M_enteredLevel
  = "\n\n\n\n\n  Stufe %1";
static RscData__StringLiteral RscData__Game_M_failed
  = "\n\n\n\n    Gefangen!!\n\n  Drcke START...";
static RscData__StringLiteral RscData__Game_M_help
  = /* 123456789012345678 */
      "  -- Knpfe --\n\n"
      "links,\n"
      "rechts,\n"
      "hoch,\n"
      "tief   laufen\n\n"
      "A      Linksschu "
      "B      Rechtsschu" 
      "SELECT Hilfemen  "
      "START  Sondermen";
static RscData__StringLiteral RscData__Game_M_highscore
  = "\n-- BESTENLISTE --\n\n";
static RscData__StringLiteral RscData__Game_M_info
  = /* 123456789012345678 */
      " -- ANLEITUNG --\n\n"
      "Sammle alles Gold "
      "und berhre die   "
      "Monster nicht! Sie" 
      "knnen auch Scke "
      "tragen, aber nur  " 
      "kurz. Mit A und B " 
      "schiet Du Lcher,"
      "die wieder zugehen"
      "VORSICHT: Mauere  "
      "Dich nicht ein!";
static RscData__StringLiteral RscData__Game_M_title
  = /* 123456789012345678 */
      "\n  ------------- \n"
      " |STOLLENLUFER|\n"
      "  ------------- \n\n"
      "       fr\n" 
      " Bernhard, Elina,\n" 
      " Jannis, Laura,\n" 
      " Nelia & Ulrike\n\n"
      " von Thomas Tensi\n"
      "   2004-2006";
static RscData__StringLiteral RscData__Game_M_titleEnd
  = "\n\n\n  Drcke START\n";
static RscData__StringLiteral RscData__Pref_M_greeting
  = " Hallo %1!\n\n\n Du bist auf\n Stufe %2.\n\n Willst Du\n";
static RscData__StringLiteral RscData__Pref_M_nameQuery
  = "Wer bist Du?\n";
static RscData__StringLiteral RscData__Pref_M_resetQuery
  = " %1,\n\n mchtest Du wie-\n der bei Stufe 1\n anfangen?\n";
static RscData__StringLiteral RscData__Pref_M_setupTitle
  = "-- Einstellung --\n";

/* -- string lists -- */
#define RscData__continueString "weiter?"
#define RscData__mainMenuString "z. Spielerwahl?"
#define RscData__setupString    "einstellen?"

static const RscData__StringPointer RscData__Game_stringList[] = {
  "Stufe whlen:", "Stufe ansehen?\n", "Stufe nochmal?\n",
  RscData__setupString "\n", "Beste zeigen?\n",
  RscData__mainMenuString "\n", "zurck", NULL
};

static const RscData__StringPointer RscData__Pref_booleanNameList[] = {
  "aus", "an", NULL
};

static const RscData__StringPointer RscData__Pref_choiceList1[] = {
  RscData__continueString, "neues Spiel?", RscData__setupString,
  RscData__mainMenuString, NULL
};

static const RscData__StringPointer RscData__Pref_choiceList2[] = {
  RscData__continueString, RscData__setupString, RscData__mainMenuString,
  NULL
};

static const RscData__StringPointer RscData__Pref_colourNameList[] = {
  "braun", "schwarz", "grau", "rot", "gelb", "grn", "blau", "lila",
  "trkis", "golden", NULL
};

static const RscData__StringPointer RscData__Pref_yesNoList[] = {
  "nein", "ja", NULL
};

static const RscData__StringPointer RscData__Pref_setupItemList[] = {
  "Name: ", "Art:     ", "Haar:    ", "Hemd:    ", "Hos.Rck.:", "Schuhe:  ", 
  "Monster: ", "Musik:   ", "Tne:    ", "zurck", NULL
};

static const RscData__StringPointer RscData__Pref_playerKindNameList[] = {
  "Junge", "Mdchen", NULL
};
#endif /* NOT ENGLISH */

/*--------------------*/

/* bitmaps for the gameboy are given as lsb_row_1, msb_row1, lsb_row2,
   hsb_row_2,...,
   i.e. a single tile bitmap uses 16 characters in the table */

static const Tile_Bitmap RscData__Opponent_tileBitmaps[] = {
  /*100*/ { 0x1C,0x1C,0x3E,0x3E,0x7F,0x7F,0x73,0x7F,
	    0xF3,0xFF,0xFF,0xFF,0xE0,0xFF,0xD6,0xE9 },
  /*101*/ { 0x1C,0x1C,0x3E,0x3E,0x7F,0x7F,0x7F,0x73,
	    0xFF,0xF3,0xFF,0xFF,0xE0,0xFF,0xD5,0xEA },
  /*102*/ { 0xFF,0xC0,0xCA,0xF5,0xF0,0xFF,0xFF,0xFF,
	    0xBF,0xBF,0xAF,0xAF,0xAA,0xAA,0xAA,0xAA },
  /*103*/ { 0xDF,0xE0,0xCA,0xF5,0xF0,0xFF,0xFF,0xFF,
	    0x7F,0x7F,0x5F,0x5F,0x55,0x55,0x55,0x55 }
};


static const Tile_Bitmap RscData__Player_tileBitmapsGirl[] = {
  /* empty */
  /*000*/ { 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	    0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 },
  /* running */
  /*001*/ { 0x00,0x0F,0x00,0x1F,0x03,0x3C,0x07,0x78,
	    0x07,0x78,0x07,0x78,0x07,0xF8,0x07,0xA8 },
  /*002*/ { 0x00,0xE0,0x00,0xF0,0xE0,0x18,0xF0,0x20,
	    0xF8,0x00,0xF8,0x00,0xF0,0x00,0xF0,0x60 },
  /*003*/ { 0x03,0x00,0x00,0x03,0x00,0x03,0x00,0x07,
	    0x00,0x07,0x00,0x0F,0x00,0x1F,0x00,0x1F },
  /*004*/ { 0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
	    0x00,0xE0,0x00,0xF0,0x00,0xF0,0x0C,0xF0 },
  /*005*/ { 0x00,0x1F,0x00,0x0F,0x00,0x0F,0x00,0x1F,
	    0x04,0x00,0x04,0x00,0x07,0x07,0x07,0x07 },
  /*006*/ { 0x0C,0xF0,0x0C,0xF0,0x00,0xF0,0x00,0xF8,
	    0x20,0x00,0x20,0x00,0x38,0x38,0x38,0x38 },
  /*007*/ { 0x03,0x00,0x00,0x03,0x00,0x03,0x00,0x07,
	    0x00,0x07,0x00,0x0F,0x00,0x0F,0x00,0x0F },
  /*008*/ { 0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
	    0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*009*/ { 0x00,0x0F,0x00,0x0F,0x00,0x0F,0x00,0x1F,
	    0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 },
  /*010*/ { 0xC0,0x30,0xC0,0x30,0xC0,0x30,0x00,0xF8,
	    0x80,0x00,0x80,0x00,0xE0,0xE0,0xE0,0xE0 },
  /*011*/ { 0x03,0x00,0x00,0x03,0x00,0x03,0x00,0x07,
	    0x00,0x07,0x00,0x0F,0x00,0x1F,0x00,0x1F },
  /*012*/ { 0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
	    0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*013*/ { 0x00,0x1F,0x06,0x19,0x06,0x09,0x06,0x19,
	    0x04,0x00,0x04,0x00,0x07,0x07,0x07,0x07 },
  /*014*/ { 0x00,0xF0,0x00,0xF0,0x00,0xF0,0x00,0xF8,
	    0x20,0x00,0x20,0x00,0x38,0x38,0x38,0x38 },
  /* climbing */
  /*015*/ { 0x00,0x07,0x00,0x0F,0x00,0x1F,0x00,0x1F,
	    0x00,0x1F,0x00,0x1F,0x02,0x1D,0xE3,0x14 },
  /*016*/ { 0x00,0x07,0x00,0x0F,0x00,0x1F,0x00,0x1F,
	    0xE0,0x1F,0xE0,0x1F,0xE2,0x1D,0xE3,0xF4 },
  /*017*/ { 0x00,0x07,0xE0,0x0F,0xE0,0x1F,0xE0,0x1F,
	    0xE0,0xFF,0xE0,0xFF,0xE2,0xFD,0xE3,0xF4 },
  /*018*/ { 0x03,0xE0,0x00,0xE7,0x00,0xF7,0x00,0xFF,
	    0x00,0x7F,0x00,0x3F,0x00,0x0F,0x00,0x0F },
  /*019*/ { 0x03,0xE0,0x00,0xE7,0x00,0xE7,0x00,0xFF,
	    0x00,0xFF,0x00,0x7F,0x00,0x0F,0x00,0x0F },
  /*020*/ { 0x03,0xE0,0x00,0xE7,0x00,0xE7,0x00,0xFF,
	    0x00,0xFF,0x00,0xFF,0x00,0x7F,0x00,0x0F },
  /*021*/ { 0x00,0x1F,0x00,0x1F,0x00,0x1F,0x00,0x3F,
	    0x06,0x00,0x06,0x00,0x06,0x06,0x06,0x06 },
  /*022*/ { 0x00,0x1F,0x00,0x1F,0x00,0x1F,0x00,0x3F,
	    0x06,0x06,0x06,0x06,0x00,0x00,0x00,0x00 },
  /* clambering */
  /*023*/ { 0x03,0x0C,0x03,0x1C,0x03,0x3C,0x07,0x7B,
	    0x07,0x7B,0x07,0x7B,0x07,0xFB,0x07,0xAB },
  /*024*/ { 0x80,0x60,0x80,0x70,0xE0,0x18,0xF0,0x20,
	    0xF8,0x00,0xF8,0x00,0xF0,0x00,0xF0,0x60 },
  /*025*/ { 0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x07,
            0x00,0x07,0x00,0x0F,0x00,0x0F,0x00,0x1F },
  /*026*/ { 0x40,0x80,0x00,0xC0,0x00,0xC0,0x00,0xE0,
	    0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*027*/ { 0x60,0x80,0x60,0x90,0xE0,0x18,0xF0,0x60,
	    0xF8,0x60,0xF8,0x60,0xF0,0x60,0xF0,0x60 },
  /*028*/ { 0x00,0xE0,0x00,0xC0,0x00,0xC0,0x00,0xE0,
            0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*029*/ { 0x00,0xF0,0x00,0xF0,0x00,0xF0,0x00,0xF8,
            0x80,0x00,0x80,0x00,0xE0,0xE0,0xE0,0xE0 },
  /*030*/ { 0x18,0x07,0x18,0x07,0x1B,0x24,0x1F,0x78,
            0x1F,0x78,0x1F,0x78,0x1F,0xF8,0x1F,0xB8 },
  /*031*/ { 0x03,0x1C,0x00,0x1F,0x00,0x0F,0x00,0x07,
            0x00,0x07,0x00,0x0F,0x00,0x0F,0x00,0x0F },
  /* shooting */
  /*032*/ { 0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
	    0x00,0xE0,0x00,0xF8,0x00,0xFC,0x00,0xFC },
  /*033*/ { 0x0E,0xF2,0x07,0xF7,0x03,0xF3,0x01,0xF9,
	    0x20,0x00,0x20,0x00,0x38,0x38,0x38,0x38 }
};


static const Tile_Bitmap RscData__Player_tileBitmapsBoy[] = {
  /* empty */
  /*048*/ {  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
             0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 },
  /* running */
  /*049*/ {  0x00,0x07,0x00,0x0F,0x00,0x0F,0x00,0x1F,
             0x02,0x1D,0x07,0x08,0x0F,0x00,0x07,0x00 },
  /*050*/ {  0x00,0xE0,0x00,0xF0,0x60,0x90,0xF0,0x20,
             0xF8,0x00,0xF8,0x00,0xF0,0x00,0xF0,0x60 },
  /*051*/ {  0x03,0x00,0x00,0x03,0x00,0x03,0x00,0x07,
             0x00,0x07,0x00,0x0F,0x00,0x1F,0x00,0x1F },
  /*052*/ {  0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
             0x00,0xE0,0x00,0xF0,0x00,0xF0,0x0C,0xF0 },
  /*053*/ {  0x00,0x1F,0x00,0x0F,0x00,0x0E,0x00,0x0E,
             0x04,0x00,0x04,0x00,0x07,0x07,0x07,0x07 },
  /*054*/ {  0x0C,0xF0,0x0C,0xF0,0x00,0x70,0x00,0x70,
             0x20,0x00,0x20,0x00,0x38,0x38,0x38,0x38 },
  /*055*/ {  0x03,0x00,0x00,0x03,0x00,0x03,0x00,0x07,
             0x00,0x07,0x00,0x0F,0x00,0x0F,0x00,0x0F },
  /*056*/ {  0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
             0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*057*/ {  0x00,0x0F,0x00,0x07,0x00,0x07,0x00,0x03,
             0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 },
  /*058*/ {  0xC0,0x30,0xC0,0x30,0xC0,0x20,0x00,0xC0,
             0x80,0x00,0x80,0x00,0xE0,0xE0,0xE0,0xE0 },
  /*059*/ {  0x03,0x00,0x00,0x03,0x00,0x03,0x00,0x07,
             0x00,0x07,0x00,0x07,0x00,0x0F,0x00,0x0F },
  /*060*/ {  0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
             0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*061*/ {  0x00,0x1F,0x06,0x09,0x06,0x09,0x06,0x09,
             0x04,0x00,0x04,0x00,0x07,0x07,0x07,0x07 },
  /*062*/ {  0x00,0xF0,0x00,0xF0,0x00,0x70,0x00,0x70,
             0x20,0x00,0x20,0x00,0x38,0x38,0x38,0x38 },
  /* climbing */
  /*063*/ {  0x00,0x07,0x00,0x0F,0x00,0x1F,0x00,0x1F,
             0x00,0x1F,0x00,0x0F,0x06,0x01,0xE7,0x00 },
  /*064*/ {  0x00,0x07,0x00,0x0F,0x00,0x1F,0x00,0x1F,
             0xE0,0x1F,0xE0,0x0F,0xE6,0x01,0xE7,0xE0 },
  /*065*/ {  0x00,0x07,0xE0,0x0F,0xE0,0x1F,0xE0,0x1F,
             0xE0,0xFF,0xE0,0xEF,0xE6,0xE1,0xE7,0xE0 },
  /*066*/ {  0x03,0xE0,0x00,0xE7,0x00,0xF7,0x00,0xFF,
             0x00,0x7F,0x00,0x3F,0x00,0x0F,0x00,0x0F },
  /*067*/ {  0x03,0xE0,0x00,0xE7,0x00,0xE7,0x00,0xFF,
             0x00,0xFF,0x00,0x7F,0x00,0x0F,0x00,0x0F },
  /*068*/ {  0x03,0xE0,0x00,0xE7,0x00,0xE7,0x00,0xFF,
             0x00,0xFF,0x00,0xFF,0x00,0x7F,0x00,0x0F },
  /*069*/ {  0x00,0x1F,0x00,0x1F,0x00,0x0E,0x00,0x0E,
             0x06,0x00,0x06,0x00,0x06,0x06,0x06,0x06 },
  /*070*/ {  0x00,0x1F,0x00,0x1F,0x00,0x1E,0x00,0x0E,
             0x06,0x06,0x06,0x06,0x00,0x00,0x00,0x00 },
  /* clambering */
  /*071*/ {  0x03,0x04,0x03,0x0C,0x03,0x0C,0x07,0x1B,
             0x07,0x1B,0x07,0x0B,0x0F,0x03,0x07,0x03 },
  /*072*/ {  0x80,0x60,0x80,0x70,0xE0,0x10,0xF0,0x20,
             0xF8,0x00,0xF8,0x00,0xF0,0x00,0xF0,0x60 },
  /*073*/ {  0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x07,
             0x00,0x07,0x00,0x0F,0x00,0x0F,0x00,0x1F },
  /*074*/ {  0x40,0x80,0x00,0xC0,0x00,0xC0,0x00,0xE0,
             0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*075*/ {  0x60,0x80,0x60,0x90,0xE0,0x10,0xF0,0x60,
             0xF8,0x60,0xF8,0x60,0xF0,0x60,0xF0,0x60 },
  /*076*/ {  0x00,0xE0,0x00,0xC0,0x00,0xC0,0x00,0xE0,
             0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*077*/ {  0x00,0xF0,0x00,0xE0,0x00,0xC0,0x00,0xC0,
             0x80,0x00,0x80,0x00,0xE0,0xE0,0xE0,0xE0 },
  /*078*/ {  0x18,0x07,0x18,0x07,0x1B,0x04,0x1F,0x18,
             0x3F,0x38,0x3F,0x38,0x1F,0x18,0x1F,0x18 },
  /*079*/ {  0x03,0x1C,0x00,0x1F,0x00,0x0F,0x00,0x07,
             0x00,0x07,0x00,0x0F,0x00,0x0F,0x00,0x0F },
  /* shooting */
  /*080*/ {  0xC0,0x00,0x00,0xC0,0x00,0xC0,0x00,0xE0,
             0x00,0xE0,0x00,0xF0,0x00,0xF0,0x00,0xF0 },
  /*081*/ {  0x0E,0xF2,0x07,0xF7,0x03,0x73,0x01,0x71,
             0x20,0x00,0x20,0x00,0x38,0x38,0x38,0x38 }
};

/*--------------------*/

const void * const RscData_ressourceList[] = {
  /* Rsc_Game_L_choiceList */                RscData__Game_stringList,
  /* Rsc_Game_M_completed */                 RscData__Game_M_completed,
  /* Rsc_Game_M_enteredLevel */              RscData__Game_M_enteredLevel,
  /* Rsc_Game_M_failed */                    RscData__Game_M_failed,
  /* Rsc_Game_M_help */                      RscData__Game_M_help,
  /* Rsc_Game_M_highscore */                 RscData__Game_M_highscore,
  /* Rsc_Game_M_info */                      RscData__Game_M_info,
  /* Rsc_Game_M_title */                     RscData__Game_M_title,
  /* Rsc_Game_M_titleEnd */                  RscData__Game_M_titleEnd,
  /* Rsc_Opponent_BA_tileBitmaps */          RscData__Opponent_tileBitmaps,
  /* Rsc_Player_BA_tileBitmapsBoy */         RscData__Player_tileBitmapsBoy,
  /* Rsc_Player_BA_tileBitmapsGirl */        RscData__Player_tileBitmapsGirl,
  /* Rsc_Preferences_L_booleanNameList */    RscData__Pref_booleanNameList,
  /* Rsc_Preferences_L_choiceList1 */        RscData__Pref_choiceList1,
  /* Rsc_Preferences_L_choiceList2 */        RscData__Pref_choiceList2,
  /* Rsc_Preferences_L_colourNameList */     RscData__Pref_colourNameList,
  /* Rsc_Preferences_L_colourList */         RscData__Pref_colourList,
  /* Rsc_Preferences_L_playerKindNameList */ RscData__Pref_playerKindNameList,
  /* Rsc_Preferences_L_setupItemList */      RscData__Pref_setupItemList,
  /* Rsc_Preferences_L_yesNoList */          RscData__Pref_yesNoList,
  /* Rsc_Preferences_M_greeting */           RscData__Pref_M_greeting,
  /* Rsc_Preferences_M_nameQuery */          RscData__Pref_M_nameQuery,
  /* Rsc_Preferences_M_resetQuery */         RscData__Pref_M_resetQuery,
  /* Rsc_Preferences_M_setupTitle */         RscData__Pref_M_setupTitle
};


/*--------------------*/
/* MUSIC */

const UINT8 RscData__guitar_default[] = {
  0x02, 0x00, /* length */
  0x86, 0x00, 0x08, /* C0[0], 120 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__guitar_intro[] = {
  0x02, 0x00, /* length */
  0xAC, 0x00, 0x00, /* C0[0], 720 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__guitar_ostinato[] = {
  0x06, 0x00, /* length */
  0x9D, 0x4A, 0xF0, /* D6[f], 480 */
  0x82, 0x4A, 0x07, /* D6[0], 55 */
  0x99, 0x2B, 0xF9, /* G3[f], 425 */
  0x82, 0x2B, 0x04, /* G3[0], 52 */
  0x99, 0x00, 0x0C, /* C0[0], 428 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__guitar_mainTheme[] = {
  0x4E, 0x00, /* length */
  0x33, 0xF0, /* D#4[f], 0 */
  0x82, 0x33, 0x09, /* D#4[0], 57 */
  0x35, 0xF3, /* F4[f], 3 */
  0x82, 0x35, 0x09, /* F4[0], 57 */
  0x33, 0xF3, /* D#4[f], 3 */
  0x33, 0x06, /* D#4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x33, 0x07, /* D#4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF9, /* F4[f], 9 */
  0x35, 0x06, /* F4[0], 6 */
  0x37, 0xF9, /* G4[f], 9 */
  0x37, 0x06, /* G4[0], 6 */
  0x35, 0xF9, /* F4[f], 9 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x30, 0xF8, /* C4[f], 8 */
  0x30, 0x07, /* C4[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x83, 0x35, 0x06, /* F4[0], 70 */
  0x83, 0x33, 0xF1, /* D#4[f], 65 */
  0x33, 0x06, /* D#4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x33, 0x07, /* D#4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF9, /* F4[f], 9 */
  0x35, 0x06, /* F4[0], 6 */
  0x37, 0xF9, /* G4[f], 9 */
  0x37, 0x06, /* G4[0], 6 */
  0x35, 0xF9, /* F4[f], 9 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x30, 0xF8, /* C4[f], 8 */
  0x30, 0x07, /* C4[0], 7 */
  0x39, 0xF1, /* A4[f], 1 */
  0x81, 0x39, 0x0C, /* A4[0], 44 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x04, /* G4[0], 4 */
  0x35, 0xF3, /* F4[f], 3 */
  0x35, 0x04, /* F4[0], 4 */
  0x32, 0xF4, /* D4[f], 4 */
  0x83, 0x32, 0x06, /* D4[0], 70 */
  0x86, 0x33, 0xFD, /* D#4[f], 125 */
  0x82, 0x33, 0x09, /* D#4[0], 57 */
  0x35, 0xF3, /* F4[f], 3 */
  0x82, 0x35, 0x09, /* F4[0], 57 */
  0x33, 0xF3, /* D#4[f], 3 */
  0x33, 0x06, /* D#4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x33, 0x07, /* D#4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF9, /* F4[f], 9 */
  0x35, 0x06, /* F4[0], 6 */
  0x37, 0xF9, /* G4[f], 9 */
  0x37, 0x06, /* G4[0], 6 */
  0x35, 0xF9, /* F4[f], 9 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x30, 0xF8, /* C4[f], 8 */
  0x30, 0x07, /* C4[0], 7 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x82, 0x3E, 0x0C, /* D5[0], 60 */
  0x3E, 0xF0, /* D5[f], 0 */
  0x93, 0x3E, 0x01, /* D5[0], 321 */
  0x86, 0x00, 0x02, /* C0[0], 114 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__guitar_solo[] = {
  0x38, 0x01, /* length */
  0x27, 0xF0, /* D#3[f], 0 */
  0x27, 0x0D, /* D#3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x82, 0x29, 0x0B, /* F3[0], 59 */
  0x80, 0x2D, 0xF0, /* A3[f], 16 */
  0x80, 0x2D, 0x0B, /* A3[0], 27 */
  0x2E, 0xF3, /* A#3[f], 3 */
  0x80, 0x2E, 0x0D, /* A#3[0], 29 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x80, 0x2E, 0x0D, /* A#3[0], 29 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x81, 0x2D, 0x0A, /* A3[0], 42 */
  0x27, 0xF3, /* D#3[f], 3 */
  0x81, 0x27, 0x03, /* D#3[0], 35 */
  0x24, 0xF2, /* C3[f], 2 */
  0x24, 0x0E, /* C3[0], 14 */
  0x24, 0xF1, /* C3[f], 1 */
  0x80, 0x24, 0x05, /* C3[0], 21 */
  0x2D, 0xF2, /* A3[f], 2 */
  0x2D, 0x06, /* A3[0], 6 */
  0x2B, 0xF9, /* G3[f], 9 */
  0x2B, 0x0D, /* G3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x29, 0x0D, /* F3[0], 13 */
  0x2C, 0xF2, /* G#3[f], 2 */
  0x2C, 0x06, /* G#3[0], 6 */
  0x2C, 0xF1, /* G#3[f], 1 */
  0x2C, 0x07, /* G#3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x0E, /* G3[0], 14 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x80, 0x29, 0x05, /* F3[0], 21 */
  0x27, 0xF1, /* D#3[f], 1 */
  0x80, 0x27, 0x06, /* D#3[0], 22 */
  0x26, 0xF1, /* D3[f], 1 */
  0x82, 0x26, 0x07, /* D3[0], 55 */
  0x26, 0xF5, /* D3[f], 5 */
  0x82, 0x26, 0x07, /* D3[0], 55 */
  0x3E, 0xF5, /* D5[f], 5 */
  0x80, 0x3E, 0x04, /* D5[0], 20 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x80, 0x3C, 0x05, /* C5[0], 21 */
  0x37, 0xF2, /* G4[f], 2 */
  0x82, 0x37, 0x08, /* G4[0], 56 */
  0x26, 0xF4, /* D3[f], 4 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x81, 0x29, 0x09, /* F3[0], 41 */
  0x26, 0xF4, /* D3[f], 4 */
  0x80, 0x26, 0x0C, /* D3[0], 28 */
  0x24, 0xF2, /* C3[f], 2 */
  0x80, 0x24, 0x05, /* C3[0], 21 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x24, 0xF1, /* C3[f], 1 */
  0x24, 0x0D, /* C3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x81, 0x29, 0x09, /* F3[0], 41 */
  0x26, 0xF4, /* D3[f], 4 */
  0x80, 0x26, 0x0C, /* D3[0], 28 */
  0x24, 0xF2, /* C3[f], 2 */
  0x24, 0x06, /* C3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x0D, /* D3[0], 13 */
  0x24, 0xF2, /* C3[f], 2 */
  0x24, 0x06, /* C3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x07, /* D4[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x80, 0x35, 0x0B, /* F4[0], 27 */
  0x3A, 0xF3, /* A#4[f], 3 */
  0x3A, 0x06, /* A#4[0], 6 */
  0x3B, 0xF1, /* B4[f], 1 */
  0x3B, 0x07, /* B4[0], 7 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x06, /* D5[0], 6 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x07, /* F5[0], 7 */
  0x80, 0x43, 0xFF, /* G5[f], 31 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x02, /* G5[0], 2 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0A, /* F5[0], 10 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x32, 0xF0, /* D4[f], 0 */
  0x85, 0x32, 0x0B, /* D4[0], 107 */
  0x35, 0xFA, /* F4[f], 10 */
  0x80, 0x35, 0x04, /* F4[0], 20 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x80, 0x3C, 0x05, /* C5[0], 21 */
  0x35, 0xF2, /* F4[f], 2 */
  0x80, 0x35, 0x05, /* F4[0], 21 */
  0x41, 0xF1, /* F5[f], 1 */
  0x80, 0x41, 0x05, /* F5[0], 21 */
  0x35, 0xF2, /* F4[f], 2 */
  0x80, 0x35, 0x04, /* F4[0], 20 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x80, 0x3C, 0x05, /* C5[0], 21 */
  0x35, 0xF2, /* F4[f], 2 */
  0x80, 0x35, 0x05, /* F4[0], 21 */
  0x41, 0xF1, /* F5[f], 1 */
  0x81, 0x41, 0x0B, /* F5[0], 43 */
  0x35, 0xF2, /* F4[f], 2 */
  0x35, 0x0D, /* F4[0], 13 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x3C, 0x07, /* C5[0], 7 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x06, /* F5[0], 6 */
  0x3F, 0xF1, /* D#5[f], 1 */
  0x3F, 0x0E, /* D#5[0], 14 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x44, 0xF1, /* G#5[f], 1 */
  0x44, 0x06, /* G#5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x04, /* G5[0], 4 */
  0x41, 0xF4, /* F5[f], 4 */
  0x41, 0x06, /* F5[0], 6 */
  0x41, 0xF9, /* F5[f], 9 */
  0x41, 0x06, /* F5[0], 6 */
  0x41, 0xF9, /* F5[f], 9 */
  0x41, 0x06, /* F5[0], 6 */
  0x41, 0xF9, /* F5[f], 9 */
  0x41, 0x06, /* F5[0], 6 */
  0x3C, 0xF9, /* C5[f], 9 */
  0x3C, 0x06, /* C5[0], 6 */
  0x3A, 0xF1, /* A#4[f], 1 */
  0x3A, 0x07, /* A#4[0], 7 */
  0x3C, 0xF1, /* C5[f], 1 */
  0x3C, 0x06, /* C5[0], 6 */
  0x38, 0xF1, /* G#4[f], 1 */
  0x38, 0x07, /* G#4[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x32, 0xF1, /* D4[f], 1 */
  0x83, 0x32, 0x01, /* D4[0], 65 */
  0x30, 0xF3, /* C4[f], 3 */
  0x80, 0x30, 0x0B, /* C4[0], 27 */
  0x2F, 0xF3, /* B3[f], 3 */
  0x80, 0x2F, 0x05, /* B3[0], 21 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x2F, 0xF1, /* B3[f], 1 */
  0x2F, 0x06, /* B3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x2A, 0xF1, /* F#3[f], 1 */
  0x2A, 0x0E, /* F#3[0], 14 */
  0x2A, 0xF1, /* F#3[f], 1 */
  0x2A, 0x0E, /* F#3[0], 14 */
  0x2A, 0xF1, /* F#3[f], 1 */
  0x2A, 0x0E, /* F#3[0], 14 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x81, 0x2D, 0x0C, /* A3[0], 44 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x02, /* D3[0], 2 */
  0x2E, 0xF9, /* A#3[f], 9 */
  0x80, 0x2E, 0x00, /* A#3[0], 16 */
  0x2D, 0xF3, /* A3[f], 3 */
  0x2D, 0x06, /* A3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x07, /* C4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x07, /* C4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x07, /* C4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x0E, /* F4[0], 14 */
  0x39, 0xF1, /* A4[f], 1 */
  0x39, 0x07, /* A4[0], 7 */
  0x3C, 0xF1, /* C5[f], 1 */
  0x3C, 0x06, /* C5[0], 6 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x07, /* F5[0], 7 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x83, 0x3E, 0x09, /* D5[0], 73 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x80, 0x3C, 0x0C, /* C5[0], 28 */
  0x39, 0xF2, /* A4[f], 2 */
  0x39, 0x0D, /* A4[0], 13 */
  0x2F, 0xF2, /* B3[f], 2 */
  0x80, 0x2F, 0x04, /* B3[0], 20 */
  0x32, 0xF2, /* D4[f], 2 */
  0x80, 0x32, 0x05, /* D4[0], 21 */
  0x39, 0xF2, /* A4[f], 2 */
  0x80, 0x39, 0x05, /* A4[0], 21 */
  0x3B, 0xF1, /* B4[f], 1 */
  0x82, 0x3B, 0x02, /* B4[0], 50 */
  0x39, 0xF3, /* A4[f], 3 */
  0x83, 0x39, 0x0A, /* A4[0], 74 */
  0x39, 0xF1, /* A4[f], 1 */
  0x83, 0x39, 0x01, /* A4[0], 65 */
  0x37, 0xF2, /* G4[f], 2 */
  0x80, 0x37, 0x05, /* G4[0], 21 */
  0x81, 0x35, 0xFF, /* F4[f], 47 */
  0x35, 0x0D, /* F4[0], 13 */
  0x30, 0xF2, /* C4[f], 2 */
  0x30, 0x0D, /* C4[0], 13 */
  0x32, 0xFD, /* D4[f], 13 */
  0x85, 0x32, 0x0D, /* D4[0], 109 */
};

const UINT8 RscData__guitar_interlude[] = {
  0x12, 0x00, /* length */
  0x8D, 0x3A, 0xFC, /* A#4[f], 236 */
  0x86, 0x3A, 0x01, /* A#4[0], 113 */
  0x85, 0x2B, 0xF5, /* G3[f], 101 */
  0x84, 0x2B, 0x07, /* G3[0], 87 */
  0x26, 0xF3, /* D3[f], 3 */
  0x82, 0x26, 0x07, /* D3[0], 55 */
  0x84, 0x30, 0xFF, /* C4[f], 95 */
  0x87, 0x30, 0x0C, /* C4[0], 140 */
  0x85, 0x2B, 0xF4, /* G3[f], 100 */
  0x87, 0x2B, 0x0C, /* G3[0], 140 */
  0x85, 0x2D, 0xF4, /* A3[f], 100 */
  0x80, 0x2D, 0x0B, /* A3[0], 27 */
  0x26, 0xF3, /* D3[f], 3 */
  0x86, 0x26, 0x07, /* D3[0], 119 */
  0x82, 0x32, 0xFD, /* D4[f], 61 */
  0x82, 0x32, 0x0B, /* D4[0], 59 */
  0x00, 0x01, /* C0[0], 1 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__guitar_solo2[] = {
  0x1C, 0x01, /* length */
  0x29, 0xF0, /* F3[f], 0 */
  0x81, 0x29, 0x09, /* F3[0], 41 */
  0x3A, 0xF4, /* A#4[f], 4 */
  0x81, 0x3A, 0x0A, /* A#4[0], 42 */
  0x3A, 0xF3, /* A#4[f], 3 */
  0x80, 0x3A, 0x0B, /* A#4[0], 27 */
  0x29, 0xF3, /* F3[f], 3 */
  0x81, 0x29, 0x09, /* F3[0], 41 */
  0x82, 0x32, 0xF1, /* D4[f], 49 */
  0x80, 0x32, 0x0A, /* D4[0], 26 */
  0x29, 0xF4, /* F3[f], 4 */
  0x80, 0x29, 0x0B, /* F3[0], 27 */
  0x82, 0x32, 0xFF, /* D4[f], 63 */
  0x80, 0x32, 0x0A, /* D4[0], 26 */
  0x29, 0xF4, /* F3[f], 4 */
  0x81, 0x29, 0x09, /* F3[0], 41 */
  0x82, 0x32, 0xF1, /* D4[f], 49 */
  0x80, 0x32, 0x0A, /* D4[0], 26 */
  0x32, 0xF4, /* D4[f], 4 */
  0x80, 0x32, 0x0B, /* D4[0], 27 */
  0x35, 0xF3, /* F4[f], 3 */
  0x80, 0x35, 0x0B, /* F4[0], 27 */
  0x36, 0xF3, /* F#4[f], 3 */
  0x80, 0x36, 0x0B, /* F#4[0], 27 */
  0x39, 0xF3, /* A4[f], 3 */
  0x80, 0x39, 0x04, /* A4[0], 20 */
  0x3E, 0xF2, /* D5[f], 2 */
  0x80, 0x3E, 0x0C, /* D5[0], 28 */
  0x41, 0xF2, /* F5[f], 2 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0D, /* F5[0], 13 */
  0x45, 0xF2, /* A5[f], 2 */
  0x81, 0x45, 0x0A, /* A5[0], 42 */
  0x46, 0xF3, /* A#5[f], 3 */
  0x82, 0x46, 0x09, /* A#5[0], 57 */
  0x46, 0xF3, /* A#5[f], 3 */
  0x46, 0x0D, /* A#5[0], 13 */
  0x45, 0xF2, /* A5[f], 2 */
  0x45, 0x0D, /* A5[0], 13 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x0A, /* G5[0], 10 */
  0x45, 0xF5, /* A5[f], 5 */
  0x88, 0x45, 0x0B, /* A5[0], 155 */
  0x43, 0xFA, /* G5[f], 10 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF4, /* F5[f], 4 */
  0x41, 0x07, /* F5[0], 7 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x06, /* D5[0], 6 */
  0x41, 0xF1, /* F5[f], 1 */
  0x81, 0x41, 0x03, /* F5[0], 35 */
  0x45, 0xF3, /* A5[f], 3 */
  0x81, 0x45, 0x09, /* A5[0], 41 */
  0x83, 0x41, 0xF0, /* F5[f], 64 */
  0x80, 0x41, 0x05, /* F5[0], 21 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x07, /* D5[0], 7 */
  0x41, 0xF1, /* F5[f], 1 */
  0x80, 0x41, 0x05, /* F5[0], 21 */
  0x43, 0xF1, /* G5[f], 1 */
  0x80, 0x43, 0x02, /* G5[0], 18 */
  0x45, 0xF5, /* A5[f], 5 */
  0x80, 0x45, 0x0B, /* A5[0], 27 */
  0x42, 0xF3, /* F#5[f], 3 */
  0x82, 0x42, 0x0B, /* F#5[0], 59 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x80, 0x3E, 0x0B, /* D5[0], 27 */
  0x3C, 0xF3, /* C5[f], 3 */
  0x3C, 0x0E, /* C5[0], 14 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0D, /* F5[0], 13 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x3C, 0x0E, /* C5[0], 14 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0D, /* F5[0], 13 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x3C, 0x0E, /* C5[0], 14 */
  0x39, 0xF1, /* A4[f], 1 */
  0x39, 0x0D, /* A4[0], 13 */
  0x37, 0xF2, /* G4[f], 2 */
  0x37, 0x0E, /* G4[0], 14 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x0D, /* F4[0], 13 */
  0x34, 0xF2, /* E4[f], 2 */
  0x80, 0x34, 0x0B, /* E4[0], 27 */
  0x32, 0xF3, /* D4[f], 3 */
  0x80, 0x32, 0x05, /* D4[0], 21 */
  0x30, 0xF1, /* C4[f], 1 */
  0x81, 0x30, 0x03, /* C4[0], 35 */
  0x35, 0xF3, /* F4[f], 3 */
  0x83, 0x35, 0x09, /* F4[0], 73 */
  0x33, 0xF2, /* D#4[f], 2 */
  0x33, 0x0D, /* D#4[0], 13 */
  0x32, 0xF2, /* D4[f], 2 */
  0x32, 0x0D, /* D4[0], 13 */
  0x30, 0xF2, /* C4[f], 2 */
  0x30, 0x0D, /* C4[0], 13 */
  0x81, 0x29, 0xF0, /* F3[f], 32 */
  0x29, 0x0D, /* F3[0], 13 */
  0x2B, 0xF2, /* G3[f], 2 */
  0x82, 0x2B, 0x0A, /* G3[0], 58 */
  0x3E, 0xF2, /* D5[f], 2 */
  0x3E, 0x06, /* D5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x07, /* D5[0], 7 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF0, /* G4[f], 0 */
  0x37, 0x07, /* G4[0], 7 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x06, /* D5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x07, /* D5[0], 7 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF0, /* G4[f], 0 */
  0x37, 0x07, /* G4[0], 7 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x06, /* D5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x07, /* D5[0], 7 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF0, /* G4[f], 0 */
  0x37, 0x07, /* G4[0], 7 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x06, /* D5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x07, /* D5[0], 7 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF0, /* G4[f], 0 */
  0x37, 0x07, /* G4[0], 7 */
  0x40, 0xF1, /* E5[f], 1 */
  0x40, 0x06, /* E5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x40, 0xF1, /* E5[f], 1 */
  0x40, 0x07, /* E5[0], 7 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x07, /* G5[0], 7 */
  0x37, 0xF0, /* G4[f], 0 */
  0x37, 0x07, /* G4[0], 7 */
  0x40, 0xF1, /* E5[f], 1 */
  0x40, 0x06, /* E5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x0B, /* G5[0], 11 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0B, /* F5[0], 11 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x0A, /* G5[0], 10 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0B, /* F5[0], 11 */
  0x43, 0xF0, /* G5[f], 0 */
  0x43, 0x0B, /* G5[0], 11 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0B, /* F5[0], 11 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x0A, /* G5[0], 10 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0B, /* F5[0], 11 */
  0x43, 0xF0, /* G5[f], 0 */
  0x43, 0x0B, /* G5[0], 11 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0B, /* F5[0], 11 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x0A, /* G5[0], 10 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0B, /* F5[0], 11 */
  0x43, 0xF0, /* G5[f], 0 */
  0x43, 0x0B, /* G5[0], 11 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0B, /* F5[0], 11 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF0, /* F5[f], 0 */
  0x41, 0x0B, /* F5[0], 11 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x3F, 0xF1, /* D#5[f], 1 */
  0x3F, 0x05, /* D#5[0], 5 */
  0x3F, 0xF3, /* D#5[f], 3 */
  0x3F, 0x06, /* D#5[0], 6 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x04, /* G5[0], 4 */
  0x3F, 0xF4, /* D#5[f], 4 */
  0x3F, 0x06, /* D#5[0], 6 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x07, /* F5[0], 7 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x03, /* G5[0], 3 */
  0x3F, 0xF4, /* D#5[f], 4 */
  0x3F, 0x07, /* D#5[0], 7 */
  0x3F, 0xF1, /* D#5[f], 1 */
  0x3F, 0x0D, /* D#5[0], 13 */
  0x41, 0xF2, /* F5[f], 2 */
  0x41, 0x04, /* F5[0], 4 */
  0x3C, 0xF7, /* C5[f], 7 */
  0x3C, 0x04, /* C5[0], 4 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x05, /* G4[0], 5 */
  0x35, 0xF3, /* F4[f], 3 */
  0x35, 0x04, /* F4[0], 4 */
  0x30, 0xF7, /* C4[f], 7 */
  0x30, 0x03, /* C4[0], 3 */
  0x3A, 0xF1, /* A#4[f], 1 */
  0x3A, 0x04, /* A#4[0], 4 */
  0x35, 0xF3, /* F4[f], 3 */
  0x35, 0x05, /* F4[0], 5 */
  0x33, 0xF3, /* D#4[f], 3 */
  0x33, 0x04, /* D#4[0], 4 */
  0x2B, 0xFB, /* G3[f], 11 */
  0x82, 0x2B, 0x0C, /* G3[0], 60 */
  0x81, 0x37, 0xF2, /* G4[f], 34 */
  0x80, 0x37, 0x0B, /* G4[0], 27 */
  0x81, 0x40, 0xF1, /* E5[f], 33 */
  0x80, 0x40, 0x04, /* E5[0], 20 */
  0x3E, 0xF2, /* D5[f], 2 */
  0x80, 0x3E, 0x05, /* D5[0], 21 */
  0x39, 0xF2, /* A4[f], 2 */
  0x39, 0x06, /* A4[0], 6 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x81, 0x3E, 0x03, /* D5[0], 35 */
  0x41, 0xF3, /* F5[f], 3 */
  0x80, 0x41, 0x04, /* F5[0], 20 */
  0x3B, 0xF2, /* B4[f], 2 */
  0x3B, 0x0E, /* B4[0], 14 */
  0x3C, 0xF1, /* C5[f], 1 */
  0x3C, 0x07, /* C5[0], 7 */
  0x3C, 0xF1, /* C5[f], 1 */
  0x3C, 0x06, /* C5[0], 6 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x3E, 0x07, /* D5[0], 7 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x0E, /* F5[0], 14 */
  0x40, 0xF1, /* E5[f], 1 */
  0x40, 0x06, /* E5[0], 6 */
  0x3E, 0xF1, /* D5[f], 1 */
  0x80, 0x3E, 0x05, /* D5[0], 21 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x3C, 0x06, /* C5[0], 6 */
  0x3E, 0xF9, /* D5[f], 9 */
  0x3E, 0x0D, /* D5[0], 13 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x3C, 0x06, /* C5[0], 6 */
  0x48, 0xF9, /* C6[f], 9 */
  0x80, 0x48, 0x0C, /* C6[0], 28 */
  0x45, 0xF2, /* A5[f], 2 */
  0x80, 0x45, 0x04, /* A5[0], 20 */
  0x41, 0xF2, /* F5[f], 2 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF1, /* F5[f], 1 */
  0x80, 0x41, 0x0B, /* F5[0], 27 */
  0x3E, 0xF3, /* D5[f], 3 */
  0x81, 0x3E, 0x0B, /* D5[0], 43 */
  0x39, 0xF2, /* A4[f], 2 */
  0x39, 0x06, /* A4[0], 6 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x07, /* G4[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x0E, /* D4[0], 14 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x0D, /* C4[0], 13 */
  0x00, 0x02, /* C0[0], 2 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__guitar_dialogue[] = {
  0xE2, 0x00, /* length */
  0x3E, 0xF0, /* D5[f], 0 */
  0x87, 0x3E, 0x0C, /* D5[0], 140 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x80, 0x3C, 0x05, /* C5[0], 21 */
  0x37, 0xF2, /* G4[f], 2 */
  0x81, 0x37, 0x0A, /* G4[0], 42 */
  0x33, 0xF3, /* D#4[f], 3 */
  0x80, 0x33, 0x05, /* D#4[0], 21 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x0B, /* A3[0], 11 */
  0x3E, 0xF4, /* D5[f], 4 */
  0x80, 0x3E, 0x04, /* D5[0], 20 */
  0x3F, 0xF3, /* D#5[f], 3 */
  0x80, 0x3F, 0x0B, /* D#5[0], 27 */
  0x41, 0xF3, /* F5[f], 3 */
  0x80, 0x41, 0x0B, /* F5[0], 27 */
  0x43, 0xF3, /* G5[f], 3 */
  0x80, 0x43, 0x02, /* G5[0], 18 */
  0x41, 0xF4, /* F5[f], 4 */
  0x80, 0x41, 0x05, /* F5[0], 21 */
  0x3F, 0xF2, /* D#5[f], 2 */
  0x3F, 0x06, /* D#5[0], 6 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x07, /* F5[0], 7 */
  0x3C, 0xF1, /* C5[f], 1 */
  0x3C, 0x06, /* C5[0], 6 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x41, 0xF8, /* F5[f], 8 */
  0x41, 0x07, /* F5[0], 7 */
  0x3A, 0xF1, /* A#4[f], 1 */
  0x3A, 0x06, /* A#4[0], 6 */
  0x3A, 0xF1, /* A#4[f], 1 */
  0x3A, 0x07, /* A#4[0], 7 */
  0x39, 0xF1, /* A4[f], 1 */
  0x39, 0x0D, /* A4[0], 13 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x3C, 0x04, /* C5[0], 4 */
  0x37, 0xF7, /* G4[f], 7 */
  0x37, 0x04, /* G4[0], 4 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x05, /* G4[0], 5 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x04, /* A4[0], 4 */
  0x80, 0x3C, 0xFE, /* C5[f], 30 */
  0x3C, 0x04, /* C5[0], 4 */
  0x37, 0xF7, /* G4[f], 7 */
  0x37, 0x04, /* G4[0], 4 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x05, /* G4[0], 5 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x04, /* A4[0], 4 */
  0x80, 0x3C, 0xFE, /* C5[f], 30 */
  0x3C, 0x04, /* C5[0], 4 */
  0x37, 0xF7, /* G4[f], 7 */
  0x37, 0x04, /* G4[0], 4 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x05, /* G4[0], 5 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x04, /* A4[0], 4 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x05, /* A4[0], 5 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x04, /* G4[0], 4 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x05, /* G4[0], 5 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x04, /* A4[0], 4 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x05, /* A4[0], 5 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x04, /* G4[0], 4 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x05, /* G4[0], 5 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x04, /* A4[0], 4 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x05, /* A4[0], 5 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x04, /* G4[0], 4 */
  0x37, 0xF3, /* G4[f], 3 */
  0x37, 0x05, /* G4[0], 5 */
  0x39, 0xF3, /* A4[f], 3 */
  0x39, 0x04, /* A4[0], 4 */
  0x44, 0xF3, /* G#5[f], 3 */
  0x44, 0x05, /* G#5[0], 5 */
  0x45, 0xF3, /* A5[f], 3 */
  0x45, 0x04, /* A5[0], 4 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x02, /* G5[0], 2 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x3C, 0x00, /* C5[0], 0 */
  0x44, 0xF4, /* G#5[f], 4 */
  0x44, 0x04, /* G#5[0], 4 */
  0x48, 0xF3, /* C6[f], 3 */
  0x48, 0x05, /* C6[0], 5 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x01, /* G5[0], 1 */
  0x44, 0xF3, /* G#5[f], 3 */
  0x44, 0x04, /* G#5[0], 4 */
  0x48, 0xF7, /* C6[f], 7 */
  0x48, 0x04, /* C6[0], 4 */
  0x44, 0xF3, /* G#5[f], 3 */
  0x44, 0x05, /* G#5[0], 5 */
  0x45, 0xF3, /* A5[f], 3 */
  0x45, 0x04, /* A5[0], 4 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x02, /* G5[0], 2 */
  0x44, 0xF6, /* G#5[f], 6 */
  0x44, 0x04, /* G#5[0], 4 */
  0x48, 0xF3, /* C6[f], 3 */
  0x48, 0x05, /* C6[0], 5 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x01, /* G5[0], 1 */
  0x44, 0xF3, /* G#5[f], 3 */
  0x44, 0x04, /* G#5[0], 4 */
  0x48, 0xF7, /* C6[f], 7 */
  0x48, 0x04, /* C6[0], 4 */
  0x80, 0x48, 0xF6, /* C6[f], 22 */
  0x80, 0x48, 0x05, /* C6[0], 21 */
  0x46, 0xF2, /* A#5[f], 2 */
  0x46, 0x06, /* A#5[0], 6 */
  0x45, 0xF1, /* A5[f], 1 */
  0x45, 0x07, /* A5[0], 7 */
  0x43, 0xF8, /* G5[f], 8 */
  0x43, 0x0A, /* G5[0], 10 */
  0x43, 0xF1, /* G5[f], 1 */
  0x43, 0x06, /* G5[0], 6 */
  0x41, 0xF6, /* F5[f], 6 */
  0x41, 0x09, /* F5[0], 9 */
  0x3F, 0xF2, /* D#5[f], 2 */
  0x3F, 0x09, /* D#5[0], 9 */
  0x43, 0xFA, /* G5[f], 10 */
  0x43, 0x01, /* G5[0], 1 */
  0x41, 0xF2, /* F5[f], 2 */
  0x41, 0x05, /* F5[0], 5 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x01, /* G5[0], 1 */
  0x41, 0xF3, /* F5[f], 3 */
  0x41, 0x04, /* F5[0], 4 */
  0x41, 0xF7, /* F5[f], 7 */
  0x41, 0x04, /* F5[0], 4 */
  0x41, 0xF3, /* F5[f], 3 */
  0x41, 0x05, /* F5[0], 5 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x01, /* G5[0], 1 */
  0x41, 0xF3, /* F5[f], 3 */
  0x41, 0x04, /* F5[0], 4 */
  0x41, 0xF7, /* F5[f], 7 */
  0x41, 0x04, /* F5[0], 4 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x02, /* G5[0], 2 */
  0x41, 0xF6, /* F5[f], 6 */
  0x41, 0x04, /* F5[0], 4 */
  0x41, 0xF3, /* F5[f], 3 */
  0x41, 0x05, /* F5[0], 5 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x01, /* G5[0], 1 */
  0x41, 0xF3, /* F5[f], 3 */
  0x41, 0x04, /* F5[0], 4 */
  0x41, 0xF7, /* F5[f], 7 */
  0x41, 0x04, /* F5[0], 4 */
  0x41, 0xF3, /* F5[f], 3 */
  0x41, 0x05, /* F5[0], 5 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x01, /* G5[0], 1 */
  0x41, 0xF3, /* F5[f], 3 */
  0x41, 0x05, /* F5[0], 5 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x02, /* G5[0], 2 */
  0x41, 0xF2, /* F5[f], 2 */
  0x41, 0x05, /* F5[0], 5 */
  0x43, 0xF2, /* G5[f], 2 */
  0x43, 0x03, /* G5[0], 3 */
  0x41, 0xF1, /* F5[f], 1 */
  0x41, 0x05, /* F5[0], 5 */
  0x43, 0xF3, /* G5[f], 3 */
  0x43, 0x03, /* G5[0], 3 */
  0x43, 0xF4, /* G5[f], 4 */
  0x43, 0x04, /* G5[0], 4 */
  0x41, 0xF0, /* F5[f], 0 */
  0x83, 0x41, 0x0C, /* F5[0], 76 */
  0x32, 0xF3, /* D4[f], 3 */
  0x32, 0x0D, /* D4[0], 13 */
  0x3C, 0xF2, /* C5[f], 2 */
  0x80, 0x3C, 0x0C, /* C5[0], 28 */
  0x37, 0xF2, /* G4[f], 2 */
  0x81, 0x37, 0x03, /* G4[0], 35 */
  0x35, 0xF2, /* F4[f], 2 */
  0x35, 0x0E, /* F4[0], 14 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x07, /* D4[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x0D, /* D4[0], 13 */
  0x30, 0xF2, /* C4[f], 2 */
  0x30, 0x06, /* C4[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x0D, /* G3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x29, 0x06, /* F3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x24, 0xF1, /* C3[f], 1 */
  0x24, 0x0D, /* C3[0], 13 */
  0x26, 0xF2, /* D3[f], 2 */
  0x26, 0x06, /* D3[0], 6 */
  0x24, 0xF1, /* C3[f], 1 */
  0x24, 0x07, /* C3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x0D, /* A3[0], 13 */
  0x00, 0x02, /* C0[0], 2 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__guitar_outro[] = {
  0x04, 0x00, /* length */
  0x29, 0xF0, /* F3[f], 0 */
  0x84, 0x29, 0x08, /* F3[0], 88 */
  0x29, 0xF2, /* F3[f], 2 */
  0x87, 0x29, 0x0C, /* F3[0], 140 */
};

const UINT8 *RscData__guitar_partList[] = {
  RscData__guitar_default,
  RscData__guitar_intro,
  RscData__guitar_ostinato,
  RscData__guitar_mainTheme,
  RscData__guitar_mainTheme,
  RscData__guitar_solo,
  RscData__guitar_mainTheme,
  RscData__guitar_interlude,
  RscData__guitar_mainTheme,
  RscData__guitar_solo2,
  RscData__guitar_dialogue,
  RscData__guitar_outro,
  NULL
};

const UINT8 RscData__bass_default[] = {
  0x02, 0x00, /* length */
  0x86, 0x00, 0x08, /* C0[0], 120 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__bass_intro[] = {
  0x22, 0x00, /* length */
  0x33, 0xF0, /* D#4[f], 0 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x86, 0x29, 0x08, /* F3[0], 120 */
};

const UINT8 RscData__bass_ostinato[] = {
  0x76, 0x01, /* length */
  0x29, 0xF0, /* F3[f], 0 */
  0x29, 0x06, /* F3[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x0D, /* F3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x29, 0x06, /* F3[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x0D, /* F3[0], 13 */
  0x26, 0xF2, /* D3[f], 2 */
  0x26, 0x06, /* D3[0], 6 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x07, /* D4[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x06, /* D4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2A, 0xF1, /* F#3[f], 1 */
  0x2A, 0x06, /* F#3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x06, /* D4[0], 6 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x07, /* C4[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x2A, 0xF1, /* F#3[f], 1 */
  0x2A, 0x07, /* F#3[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x0D, /* D3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x29, 0x06, /* F3[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x0D, /* F3[0], 13 */
  0x2B, 0xF2, /* G3[f], 2 */
  0x2B, 0x06, /* G3[0], 6 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x07, /* G4[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x06, /* D4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x2F, 0xF1, /* B3[f], 1 */
  0x2F, 0x06, /* B3[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x37, 0xF1, /* G4[f], 1 */
  0x37, 0x06, /* G4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x06, /* D4[0], 6 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x07, /* G3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x2F, 0xF1, /* B3[f], 1 */
  0x2F, 0x07, /* B3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x0D, /* G3[0], 13 */
  0x26, 0xF2, /* D3[f], 2 */
  0x26, 0x06, /* D3[0], 6 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x07, /* D4[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x06, /* D4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2A, 0xF1, /* F#3[f], 1 */
  0x2A, 0x06, /* F#3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x32, 0xF1, /* D4[f], 1 */
  0x32, 0x06, /* D4[0], 6 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x07, /* C4[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x06, /* D3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x07, /* D3[0], 7 */
  0x2B, 0xF1, /* G3[f], 1 */
  0x2B, 0x06, /* G3[0], 6 */
  0x2A, 0xF1, /* F#3[f], 1 */
  0x2A, 0x07, /* F#3[0], 7 */
  0x26, 0xF1, /* D3[f], 1 */
  0x26, 0x0D, /* D3[0], 13 */
  0x00, 0x02, /* C0[0], 2 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__bass_outro[] = {
  0x7E, 0x00, /* length */
  0x29, 0xF0, /* F3[f], 0 */
  0x29, 0x06, /* F3[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x0D, /* F3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x29, 0x06, /* F3[0], 6 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x07, /* F4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x06, /* A3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x06, /* D#4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x35, 0xF1, /* F4[f], 1 */
  0x35, 0x06, /* F4[0], 6 */
  0x33, 0xF1, /* D#4[f], 1 */
  0x33, 0x07, /* D#4[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x06, /* F3[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x30, 0xF1, /* C4[f], 1 */
  0x30, 0x06, /* C4[0], 6 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x07, /* F3[0], 7 */
  0x2E, 0xF1, /* A#3[f], 1 */
  0x2E, 0x06, /* A#3[0], 6 */
  0x2D, 0xF1, /* A3[f], 1 */
  0x2D, 0x07, /* A3[0], 7 */
  0x29, 0xF1, /* F3[f], 1 */
  0x29, 0x0D, /* F3[0], 13 */
  0x29, 0xF2, /* F3[f], 2 */
  0x80, 0x29, 0x0B, /* F3[0], 27 */
};

const UINT8 *RscData__bass_partList[] = {
  RscData__bass_default,
  RscData__bass_intro,
  RscData__bass_intro,
  RscData__bass_intro,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_ostinato,
  RscData__bass_outro,
  NULL
};

const UINT8 RscData__drums_default[] = {
  0x02, 0x00, /* length */
  0x86, 0x00, 0x08, /* C0[0], 120 */
  0x00, 0x00, /* C0[0], 0 */
};

const UINT8 RscData__drums_intro[] = {
  0x2F, 0x00, /* length */
  0xCA, 0x17, 0xD0, /* B1[d], 1200 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x8C, 0x17, 0xD9, /* B1[d], 217 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x8A, 0x26, 0xDB, /* D3[d], 187 */
  0x32, 0xF8, /* D4[f], 8 */
  0x26, 0xD0, /* D3[d], 0 */
  0x32, 0xF7, /* D4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x8B, 0x23, 0xD3, /* B2[d], 195 */
  0x2F, 0xF7, /* B3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x86, 0x11, 0xDF, /* F1[d], 127 */
  0x1D, 0xF8, /* F2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1C, 0xD7, /* E2[d], 7 */
  0x28, 0xF8, /* E3[f], 8 */
  0x11, 0xD7, /* F1[d], 7 */
  0x1D, 0xF8, /* F2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1C, 0x0F, /* E2[0], 15 */
};

const UINT8 RscData__drums_ostinato[] = {
  0xFC, 0x00, /* length */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x2A, 0xF0, /* F#3[f], 0 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x22, 0xD8, /* A#2[d], 8 */
  0x2E, 0xF7, /* A#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x22, 0xD8, /* A#2[d], 8 */
  0x2E, 0xF7, /* A#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x2A, 0xF0, /* F#3[f], 0 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x11, 0xD0, /* F1[d], 0 */
  0x1D, 0xF8, /* F2[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x1A, 0xD7, /* D2[d], 7 */
  0x26, 0xF8, /* D3[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF8, /* E3[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x1E, 0xD0, /* F#2[d], 0 */
  0x2A, 0xF8, /* F#3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1E, 0xD8, /* F#2[d], 8 */
  0x2A, 0xF7, /* F#3[f], 7 */
  0x11, 0xD0, /* F1[d], 0 */
  0x1D, 0xF8, /* F2[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x1A, 0xD7, /* D2[d], 7 */
  0x26, 0xF8, /* D3[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x1A, 0x08, /* D2[0], 8 */
};

const UINT8 RscData__drums_solo[] = {
  0x60, 0x01, /* length */
  0x26, 0xF0, /* D3[f], 0 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x24, 0xD0, /* C3[d], 0 */
  0x30, 0xF7, /* C4[f], 7 */
  0x24, 0xD0, /* C3[d], 0 */
  0x30, 0xF8, /* C4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xDF, /* E2[d], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x29, 0xD0, /* F3[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x35, 0xF0, /* F4[f], 0 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF8, /* F4[f], 8 */
  0x29, 0xD0, /* F3[d], 0 */
  0x35, 0xF7, /* F4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x26, 0xD0, /* D3[d], 0 */
  0x32, 0xF8, /* D4[f], 8 */
  0x26, 0xD0, /* D3[d], 0 */
  0x32, 0xF7, /* D4[f], 7 */
  0x26, 0xD0, /* D3[d], 0 */
  0x32, 0xF8, /* D4[f], 8 */
  0x24, 0xD7, /* C3[d], 7 */
  0x30, 0xF8, /* C4[f], 8 */
  0x24, 0xD7, /* C3[d], 7 */
  0x30, 0xF8, /* C4[f], 8 */
  0x23, 0xD0, /* B2[d], 0 */
  0x2F, 0xF7, /* B3[f], 7 */
  0x23, 0xD0, /* B2[d], 0 */
  0x2F, 0xF8, /* B3[f], 8 */
  0x23, 0xD0, /* B2[d], 0 */
  0x2F, 0xF7, /* B3[f], 7 */
  0x23, 0x08, /* B2[0], 8 */
};

const UINT8 RscData__drums_interlude[] = {
  0x3F, 0x00, /* length */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0xAB, 0x17, 0xD1, /* B1[d], 705 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x8A, 0x17, 0xDB, /* B1[d], 187 */
  0x23, 0xF8, /* B2[f], 8 */
  0x26, 0xD0, /* D3[d], 0 */
  0x26, 0xD5, /* D3[d], 5 */
  0x32, 0xF2, /* D4[f], 2 */
  0x26, 0xD3, /* D3[d], 3 */
  0x32, 0xF2, /* D4[f], 2 */
  0x17, 0xD3, /* B1[d], 3 */
  0x32, 0xF2, /* D4[f], 2 */
  0x23, 0xF5, /* B2[f], 5 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x8D, 0x17, 0xD1, /* B1[d], 225 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x87, 0x26, 0xD7, /* D3[d], 135 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0x01, /* B2[0], 1 */
};

const UINT8 RscData__drums_solo2[] = {
  0x10, 0x01, /* length */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x80, 0x1C, 0xD7, /* E2[d], 23 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x80, 0x17, 0xD7, /* B1[d], 23 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD8, /* C#3[d], 8 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xDF, /* E2[d], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xDF, /* E2[d], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x26, 0xD0, /* D3[d], 0 */
  0x32, 0xF7, /* D4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[F], 7 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x11, 0xd7, /* F1[D], 7 */
  0x1d, 0xF8, /* F2[f], 8 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x11, 0xdf, /* F1[D], 15 */
  0x1d, 0xF8, /* F2[f], 8 */
  0x1c, 0xd0, /* E2[D], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xd8, /* B1[D], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xd7, /* B1[D], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1c, 0xd0, /* E2[D], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xdf, /* B1[D], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1c, 0xd0, /* E2[D], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xdf, /* B1[D], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1c, 0xdf, /* E2[D], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xdf, /* B1[D], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1c, 0xd8, /* E2[D], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xdf, /* B1[D], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1c, 0xdf, /* E2[D], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xdf, /* B1[D], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1c, 0xd8, /* E2[D], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xd7, /* B1[D], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xd0, /* C#3[D], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xd0, /* B1[D], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xd7, /* B1[D], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1c, 0xd0, /* E2[D], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x26, 0xd0, /* D3[D], 0 */
  0x32, 0xF8, /* D4[f], 8 */
  0x24, 0xd0, /* C3[D], 0 */
  0x30, 0xF7, /* C4[f], 7 */
  0x23, 0xd0, /* B2[D], 0 */
  0x2f, 0xF8, /* B3[f], 8 */
  0x24, 0xd0, /* C3[D], 0 */
  0x30, 0xF7, /* C4[f], 7 */
  0x23, 0xd0, /* B2[D], 0 */
  0x2f, 0xF8, /* B3[f], 8 */
  0x21, 0xd0, /* A2[D], 0 */
  0x2d, 0xF7, /* A3[f], 7 */
  0x21, 0xD0, /* A2[d], 0 */
  0x2D, 0xF8, /* A3[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x1A, 0xD8, /* D2[d], 8 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x1A, 0x08, /* D2[0], 8 */
};

const UINT8 RscData__drums_solo3[] = {
  0x22, 0x01, /* length */
  0x26, 0xF0, /* D3[f], 0 */
  0x17, 0xD0, /* B1[d], 0 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x23, 0xF0, /* B2[f], 0 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xDF, /* E2[d], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF7, /* D3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF7, /* D#4[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x17, 0xD7, /* B1[d], 7 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x1C, 0xD0, /* E2[d], 0 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF7, /* C#4[f], 7 */
  0x1A, 0xD0, /* D2[d], 0 */
  0x26, 0xF8, /* D3[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x31, 0xF0, /* C#4[f], 0 */
  0x80, 0x1C, 0xD7, /* E2[d], 23 */
  0x28, 0xF7, /* E3[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x1C, 0xDF, /* E2[d], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xDF, /* E2[d], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1C, 0xDF, /* E2[d], 15 */
  0x28, 0xF7, /* E3[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xDF, /* B1[d], 15 */
  0x23, 0xF7, /* B2[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1C, 0xD8, /* E2[d], 8 */
  0x28, 0xF7, /* E3[f], 7 */
  0x27, 0xD0, /* D#3[d], 0 */
  0x33, 0xF8, /* D#4[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF8, /* B2[f], 8 */
  0x17, 0xD0, /* B1[d], 0 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x31, 0xF0, /* C#4[f], 0 */
  0x17, 0xD4, /* B1[d], 4 */
  0x23, 0xF3, /* B2[f], 3 */
  0x17, 0xD1, /* B1[d], 1 */
  0x23, 0xF7, /* B2[f], 7 */
  0x17, 0xD4, /* B1[d], 4 */
  0x23, 0xF3, /* B2[f], 3 */
  0x1C, 0xD1, /* E2[d], 1 */
  0x28, 0xF7, /* E3[f], 7 */
  0x17, 0xD4, /* B1[d], 4 */
  0x23, 0xF3, /* B2[f], 3 */
  0x17, 0xD1, /* B1[d], 1 */
  0x23, 0xF7, /* B2[f], 7 */
  0x26, 0xD8, /* D3[d], 8 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x26, 0xD1, /* D3[d], 1 */
  0x32, 0xF4, /* D4[f], 4 */
  0x1C, 0xD1, /* E2[d], 1 */
  0x28, 0xF4, /* E3[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x24, 0xD1, /* C3[d], 1 */
  0x30, 0xF4, /* C4[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0xD1, /* B2[d], 1 */
  0x2F, 0xF4, /* B3[f], 4 */
  0x23, 0x01, /* B2[0], 1 */
};

const UINT8 RscData__drums_outro[] = {
  0x15, 0x00, /* length */
  0x17, 0xD0, /* B1[d], 0 */
  0x23, 0xF7, /* B2[f], 7 */
  0x25, 0xD0, /* C#3[d], 0 */
  0x31, 0xF8, /* C#4[f], 8 */
  0x1A, 0x9B, /* D2[9], 11 */
  0x26, 0xF3, /* D3[f], 3 */
  0x1A, 0xD1, /* D2[d], 1 */
  0x26, 0xF7, /* D3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1A, 0x94, /* D2[9], 4 */
  0x26, 0xF3, /* D3[f], 3 */
  0x1A, 0xD1, /* D2[d], 1 */
  0x26, 0xF7, /* D3[f], 7 */
  0x17, 0xD8, /* B1[d], 8 */
  0x23, 0xF7, /* B2[f], 7 */
  0x1A, 0x94, /* D2[9], 4 */
  0x26, 0xF3, /* D3[f], 3 */
  0x1A, 0xD1, /* D2[d], 1 */
  0x26, 0xF7, /* D3[f], 7 */
  0x1A, 0x00, /* D2[0], 0 */
};

const UINT8 *RscData__drums_partList[] = {
  RscData__drums_default,
  RscData__drums_intro,
  RscData__drums_ostinato,
  RscData__drums_ostinato,
  RscData__drums_solo,
  RscData__drums_solo,
  RscData__drums_ostinato,
  RscData__drums_interlude,
  RscData__drums_ostinato,
  RscData__drums_solo2,
  RscData__drums_solo3,
  RscData__drums_solo3,
  RscData__drums_outro,
  NULL
};

